# 📚 项目文档目录

本目录包含MCP反馈通道项目的所有文档文件。

## 📋 文档索引

### 📖 用户指南
- [`user_guide/ARCHITECTURE.md`](user_guide/ARCHITECTURE.md) - 系统架构设计文档
- [`user_guide/DEPLOYMENT_GUIDE.md`](user_guide/DEPLOYMENT_GUIDE.md) - 部署指南
- [`user_guide/PROJECT_STRUCTURE.md`](user_guide/PROJECT_STRUCTURE.md) - 项目结构说明
- [`user_guide/MCP_SETUP.md`](user_guide/MCP_SETUP.md) - MCP配置指南
- [`user_guide/SSH_SETUP.md`](user_guide/SSH_SETUP.md) - SSH配置指南

### 📦 配置示例
- [`claude_desktop_config_v3.json`](claude_desktop_config_v3.json) - 标准配置示例
- [`claude_desktop_config_deploy.json`](claude_desktop_config_deploy.json) - 部署脚本配置示例
- [`claude_desktop_config_uvx.json`](claude_desktop_config_uvx.json) - uvx部署配置示例（即将推出）

## 🎯 快速开始

1. **安装配置**: 参考 [`user_guide/MCP_SETUP.md`](user_guide/MCP_SETUP.md)
2. **SSH环境**: 参考 [`user_guide/SSH_SETUP.md`](user_guide/SSH_SETUP.md)
3. **部署指南**: 参考 [`user_guide/DEPLOYMENT_GUIDE.md`](user_guide/DEPLOYMENT_GUIDE.md)
4. **架构理解**: 参考 [`user_guide/ARCHITECTURE.md`](user_guide/ARCHITECTURE.md)

## 📞 获取帮助

- 🐛 **Bug报告**: 请提交到项目仓库的Issues
- 💡 **功能建议**: 欢迎在GitHub Discussion中讨论
- 📖 **文档改进**: 欢迎提交PR改进文档

---
**更新时间**: 2024-12-31  
**版本**: v3.0.0 